Subject: Trainer Candidate - Babloo Singh Babloo
From: Babloo Singh Babloo <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 2 Apr 2021 04:07:36 -0400

| | Tech Support Test

Name | Babloo Singh Babloo
E-mail | [email-masked]
Phone Number | (+91) 7210038809
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I live walking distance to office
Where do you currently live (area) | New Ashok Nagar Delhi

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | ICCS LTD | Deputy manager | Still working | 32k
Previous Employer 1 | Silaris Pvt Ltd. | Team Manager | 24th Apr'19 | 24k
Previous Employer 2 | Adroit synergy Pvt Ltd. | Assistant manager | 16th Dec'17 | 22k

If Selected, how much time do you need to join? | Immediately
Please briefly describe your work experience specifically in training? | I was TTT certified when I was working with Serco in Vodafone process. Also I have given training in d2h process when I was with ICCS in 2015.
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | I have joined as an assistant manager operations in ICCS in 2019. then C-sat of the process was very poor then after gradually we started daily analysis of survey feedback which received from customers end. Analysis was done on the basis of tagging categories and find the gap and also analysed area of improvement on that basis we started a project like MITHABOL in which we categories to the advisors in three part, 1-Red, 2.yellow, and 3.green. we were sharing feedback with these agents on daily basis on thier error and their sitting arrangment was in different bay. That days situation was most difficult to get improvement. However we came out from that situation post 1 month till then we are achieving C-sat target in every month without failed. If I talk about training there was no such situations ever where any difficulty but yes it is very tough task to teach something to others who are not willing to learn and first time joined in a office environment.

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)

There are more different between good and great customer service.
Good customer service means- customer is getting service but not on time.
Great customer service means- customer is getting service on time.
Good customer service means- Customer taking your service but not taking care by you.
Great customer service means- Customer taking your service and also taking care by you time to time proactively.
Good

What according to you makes you a good candidate for this position? | I have good people management skills and I am so responsible for our team as well as company goals.
On a scale of 1 - 5 please rate your fluency in spoken English | 4

| |